Refunds
Create refund
Create a refund request.
POST
/
chargebacks
Create refund
curl --request POST \
--url https://sandbox.kulmipay.com/api/v1/chargebacks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction": {
"invoice": {
"value": "<string>",
"charges": "<string>",
"account": "<string>",
"api_ref": "<string>",
"host": "<string>",
"retry_count": -1,
"failed_reason": "<string>",
"failed_code": "<string>"
},
"narrative": "<string>"
},
"amount": "<string>",
"resolution": "<string>"
}
'import requests
url = "https://sandbox.kulmipay.com/api/v1/chargebacks"
payload = {
"transaction": {
"invoice": {
"value": "<string>",
"charges": "<string>",
"account": "<string>",
"api_ref": "<string>",
"host": "<string>",
"retry_count": -1,
"failed_reason": "<string>",
"failed_code": "<string>"
},
"narrative": "<string>"
},
"amount": "<string>",
"resolution": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transaction: {
invoice: {
value: '<string>',
charges: '<string>',
account: '<string>',
api_ref: '<string>',
host: '<string>',
retry_count: -1,
failed_reason: '<string>',
failed_code: '<string>'
},
narrative: '<string>'
},
amount: '<string>',
resolution: '<string>'
})
};
fetch('https://sandbox.kulmipay.com/api/v1/chargebacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": {
"invoice": {
"value": "<string>",
"invoice_id": "<string>",
"charges": "<string>",
"net_amount": "<string>",
"currency": "<string>",
"account": "<string>",
"api_ref": "<string>",
"clearing_status": "<string>",
"mpesa_reference": "<string>",
"host": "<string>",
"retry_count": -1,
"failed_reason": "<string>",
"failed_code": "<string>",
"failed_code_link": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"transaction_id": "<string>",
"currency": "<string>",
"value": "<string>",
"running_balance": "<string>",
"narrative": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"chargeback_id": "<string>",
"session_id": "<string>",
"amount": "<string>",
"status": "<string>",
"resolution": "<string>",
"staff_created": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Use your KulmiPay secret key as the Bearer token.
Body
application/json
Response
201 - application/json
Show child attributes
Show child attributes
Available options:
Unavailable service, Delayed delivery, Wrong service, Duplicate payment, Other Minimum string length:
1Resolution statement
Pattern:
^[a-zA-Z0-9-_ ]+$Specify if chargeback was initiated by the admin
⌘I
Create refund
